curl --request POST \
--url https://tandem.hlofiys.xyz/api/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"start_time": "2025-09-15T19:00:00Z",
"end_time": "2025-09-15T19:00:00Z",
"hall_id": 123,
"max_bookings_per_user": 1,
"is_visible": false,
"schedule": [
{
"time": "15:00",
"description": "<string>"
}
]
}
'import requests
url = "https://tandem.hlofiys.xyz/api/events"
payload = {
"name": "<string>",
"description": "<string>",
"start_time": "2025-09-15T19:00:00Z",
"end_time": "2025-09-15T19:00:00Z",
"hall_id": 123,
"max_bookings_per_user": 1,
"is_visible": False,
"schedule": [
{
"time": "15:00",
"description": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
start_time: '2025-09-15T19:00:00Z',
end_time: '2025-09-15T19:00:00Z',
hall_id: 123,
max_bookings_per_user: 1,
is_visible: false,
schedule: [{time: '15:00', description: '<string>'}]
})
};
fetch('https://tandem.hlofiys.xyz/api/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_id": 123,
"name": "<string>",
"description": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"max_bookings_per_user": 1,
"preview_image_url": "<string>",
"is_visible": false,
"schedule": [
{
"time": "15:00",
"description": "<string>"
}
],
"hall_id": 123
}{
"message": "Validation failed",
"errors": {
"name": "The name field is required.",
"price": "The price must be a valid number.",
"hall_id": "A valid hall_id is required."
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Create a new event
Creates a new event entity in the system.
By default, a newly created event is hidden (is_visible: false).
This is a protected endpoint. Access is restricted to users with admin or manager roles. An attempt to access this endpoint with insufficient privileges will result in a 403 Forbidden error.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Event name
Event description
Event start time. Must be on the same day as end_time.
"2025-09-15T19:00:00Z"
Event end time. Must be on the same day as start_time.
"2025-09-15T19:00:00Z"
Unique hall ID
The maximum number of seats a single user can book for this event
Controls whether the event is displayed on the public-facing event list
Show child attributes
Show child attributes
Response
The event was successfully created
Event name
Event description
Event start time
Event end time
The maximum number of seats a single user can book for this event
Link to download the event preview image
Controls whether the event is displayed on the public-facing event list
Show child attributes
Show child attributes
Unique hall ID